import 'package:satu/core/redux/actions/journal_actions.dart';
import 'package:satu/core/redux/state/journal_state.dart';

JournalState journalReducer(
    JournalState prevState, SetJournalStateAction action) {
  final JournalState payload = action.journalState;
  return prevState.copyWith(items: payload.items, tabIndex: payload.tabIndex);
}
